from plugin.NavidromePlaylistSync.api.token import *
from plugin.NavidromePlaylistSync.api.playlist import *
from plugin.NavidromePlaylistSync.saveFile import *
from plugin.NavidromePlaylistSync.sync import *
from plugin.NavidromePlaylistSync.resetDir import *

def start():
  tempPath = os.path.join(os.path.dirname(__file__), 'temp')

  reset(tempPath)

  token = getToken()

  playlistArray = getPlaylist(token)
  delPlaylistIds = []

  for i in playlistArray:
    id = i.get('id')
    name = i.get('name')
    if i.get('path') == '':
      delPlaylistIds.append(id)

    data = downloadPlayList(i.get('id') , token)
    saveFile(name, data)

  sync()

  if len(delPlaylistIds) > 0:
    for delId in delPlaylistIds:
      delPlaylist(delId, token)

if __name__ == 'main':
  start()
